Introduction
-------

The [scikit-learn Python library](http://scikit-learn.org/stable/) has proven
very popular with machine learning researchers and data scientists in the last
five years. It provides a uniform interface for training and using models, as
well as a set of tools for chaining (pipelines), evaluating, and tuning model
hyperparameters. [ScikitLearn.jl](https://github.com/cstjean/ScikitLearn.jl)
brings these capabilities to Julia.  Its primary goal is to integrate
both Julia- and Python-defined models together into the scikit-learn framework.

This library uses docstrings extensively (type `?function_name` at the
REPL). The primary source of information, tutorial, etc. is at
[scikit-learn.org](http://scikit-learn.org/stable/documentation.html), but
please see [how to read the Python documentation](python) beforehand.

Note: ScikitLearn.jl is not associated to the [scikit-learn.org](scikit-learn.org) organization. All issues should be filed [here](https://github.com/cstjean/ScikitLearn.jl/issues)